Xtrabackup 2.4.1 not compatible with Percona 5.7.10?

This is the error during backup with innobackupex: [INDENT]IMPORTANT: Please check that the backup run completes successfully.
At the end of a successful backup run innobackupex
prints “completed OK!”.

160315 22:01:00 version_check Connecting to MySQL server with DSN ‘dbi:mysql:;mysql_read_default_group=xtrabackup;mysql_socket=/var/lib/mysql/mysql.sock’ as ‘root’ (using password: YES).
160315 22:01:00 version_check Connected to MySQL server
160315 22:01:00 version_check Executing a version check against the server…
160315 22:01:00 version_check Done.
160315 22:01:00 Connecting to MySQL server host: localhost, user: root, password: set, port: 0, socket: /var/lib/mysql/mysql.sock
Error: failed to fetch query result SHOW VARIABLES: Native table ‘performance_schema’.‘session_variables’ has the wrong structure[/INDENT]

I thought I must have missed an upgrade… so i ran mysql_upgrade -u root -p [INDENT]Enter password:
Checking if update is needed.
This installation of MySQL is already upgraded to 5.7.10-3, use --force if you still need to run mysql_upgrade[/INDENT]

mmmm
weird hey. What do I do?

Here are all the versions I am running. [INDENT]# yum list installed | grep percona
percona-toolkit.noarch 2.2.17-1 @/percona-toolkit-2.2.17-1.noarch
percona-xtrabackup-24.x86_64 2.4.1-1.el7 @/percona-xtrabackup-24-2.4.1-1.el7.x86_64

yum list installed | grep Percona

Percona-Server-client-57.x86_64 5.7.10-3.1.el7 @/Percona-Server-client-57-5.7.10-3.1.el7.x86_64
Percona-Server-devel-57.x86_64 5.7.10-3.1.el7 @/Percona-Server-devel-57-5.7.10-3.1.el7.x86_64
Percona-Server-server-57.x86_64 5.7.10-3.1.el7 @/Percona-Server-server-57-5.7.10-3.1.el7.x86_64
Percona-Server-shared-57.x86_64 5.7.10-3.1.el7 @/Percona-Server-shared-57-5.7.10-3.1.el7.x86_64
Percona-Server-shared-compat-57.x86_64
5.7.10-3.1.el7 @/Percona-Server-shared-compat-57-5.7.10-3.1.el7.x86_64[/INDENT]

Any ideas?

This was related to https://bugs.launchpad.net/percona-server/+bug/1329772

Had to restart mysql after the upgrade

I get this error with cluster v5.7.14-8-57 and innobackupex v2.4.5 even though I restarted the services.

EDIT: the solution is “mysql_upgrade –force --upgrade-system-tables”.